Skip to content
Back to top
View this page

# XEP-0308: Last Message Correction

class slixmpp.plugins.xep_0308.XEP_0308(xmpp, config=None)

  XEP-0308 Last Message Correction

  build_correction(id_to_replace, mto, mfrom=None, mtype='chat', mbody='')

    Build a corrected message.

    Parameters:

      - id_to_replace (`str`) – The id of the original message.

      - mto (`JID`) – Recipient of the message, must be the same as the original message.

      - mfrom (`JID` | `None`) – Sender of the message, must be the same as the original message.

      - mtype (`str`) – Type of the message, must be the send as the original message.

      - mbody (`str`) – The corrected message body.

    Return type:

      `Message`

  correct_message(msg, body)

    Send a correction to an existing message.

    Parameters:

      - msg (`Message`) – The message that must be replaced.

      - body (`str`) – The body to set in the correcting message.

    Return type:

      `Message`

    Returns:

      The message that was sent.

  dependencies: ClassVar[Set[str]] = {'xep_0030'}

    Some plugins may depend on others in order to function properly. Any plugin names included in `dependencies` will be initialized as needed if this plugin is enabled.

  description: str = 'XEP-0308: Last Message Correction'

    A longer name for the plugin, describing its purpose. For example, a plugin for XEP-0030 would use ‘Service Discovery’ as its description value.

  name: str = 'xep_0308'

    A short name for the plugin based on the implemented specification. For example, a plugin for XEP-0030 would use ‘xep_0030’.

## Stanza elements

class slixmpp.plugins.xep_0308.stanza.Replace(xml=None, parent=None)
  interfaces: ClassVar[Set[str]] = {'id'}

    The set of keys that the stanza provides for accessing and manipulating the underlying XML object. This set may be augmented with the `plugin_attrib` value of any registered stanza plugins.

  name: ClassVar[str] = 'replace'

    The XML tag name of the element, not including any namespace prefixes. For example, an `ElementBase` object for `<message />` would use `name = 'message'`.

  namespace: str = 'urn:xmpp:message-correct:0'

    The XML namespace for the element. Given `<foo xmlns="bar" />`, then `namespace = "bar"` should be used. The default namespace is `jabber:client` since this is being used in an XMPP library.

  plugin_attrib: ClassVar[str] = 'replace'

    For `ElementBase` subclasses which are intended to be used as plugins, the `plugin_attrib` value defines the plugin name. Plugins may be accessed by using the `plugin_attrib` value as the interface. An example using `plugin_attrib = 'foo'`:

        register_stanza_plugin(Message, FooPlugin)
        msg = Message()
        msg['foo']['an_interface_from_the_foo_plugin']